# Tests by default. No tests: rpm -ba --define 'dotests 0' *.spec
%{!?dotests: %define dotests 1}

%define _libdir64 %{_prefix}/lib64

Name:		libwebp
Version:	1.3.2
Release:	1
Group:		Development/Libraries
URL:		https://webmproject.org/
Summary:	Library and tools for the WebP graphics format
# Additional IPR is licensed as well. See PATENTS file for details
License:	BSD
Source0:	https://storage.googleapis.com/downloads.webmproject.org/releases/webp/libwebp-%{version}.tar.gz
Patch0:		%{name}-1.0.2-aix.patch

BuildRequires:	libjpeg-devel >= 9e
BuildRequires:	libpng-devel >= 1.6.37
BuildRequires:	libtiff-devel >= 4.5.0
%if %{toolchain} == "gcc"
Requires:	libgcc >= 10.3.0
%endif

%description
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.


%package tools
Group:		Development/Tools
Summary:	The WebP command line tools
Requires:	libjpeg >= 9e
Requires:	libpng >= 1.6.37
Requires:	libtiff >= 4.5.0

%description tools
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.


%package devel
Group:		Development/Libraries
Summary:	Development files for libwebp, a library for the WebP format
Requires:	%{name} = %{version}-%{release}

%description devel
WebP is an image format that does lossy compression of digital
photographic images. WebP consists of a codec based on VP8, and a
container based on RIFF. Webmasters, web developers and browser
developers can use WebP to compress, archive and distribute digital
images more efficiently.


%prep
%setup -q
%patch0


%build
export CONFIG_SHELL=/opt/freeware/bin/bash

export CC="%{__cc__} -maix64 -O2"
export OBJECT_MODE=64
export LDFLAGS="-L%{_builddir}/%{name}-%{version}/src/.libs -L/opt/freeware/lib64 -L/opt/freeware/lib -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib "
./configure \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --mandir=%{_mandir} \
    --enable-shared --disable-static \
    --enable-libwebpmux \
    --enable-libwebpdemux \
    --enable-libwebpdecoder
gmake %{?_smp_mflags}

# No test cases 
if [ "%{dotests}" == 1 ]
then
    (gmake -k check || true)
fi


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

export OBJECT_MODE=64
make DESTDIR=${RPM_BUILD_ROOT} install
/usr/bin/strip  ${RPM_BUILD_ROOT}%{_bindir}/* || :



%files
%defattr(-,root,system,-)
%doc README PATENTS COPYING NEWS AUTHORS
%{_libdir}/*.a


%files devel
%defattr(-,root,system,-)
%{_includedir}/*
%{_libdir}/pkgconfig/*.pc


%files tools
%defattr(-,root,system,-)
%{_bindir}/*
%{_mandir}/man?/*


%changelog
* Fri Oct 13 2023 Raghu N Arava <raghuara@in.ibm.com> - 1.3.2-1 
- Update to version 1.3.2-1

* Thu Jun 06 2019 Harshita Jain <harjain9@in.ibm.com > - 1.0.2-1
- Initial port to AIX TOOLBOX

* Wed Jan 29 2014 Michael Perzl <michael@perzl.org> - 0.4.0-1
- updated to version 0.4.0

* Wed Jun 26 2013 Michael Perzl <michael@perzl.org> - 0.3.0-1
- updated to version 0.3.0

* Fri May 03 2013 Michael Perzl <michael@perzl.org> - 0.2.1-1
- updated to version 0.2.1

* Mon Jul 09 2012 Michael Perzl <michael@perzl.org> - 0.1.3-1
- first version for AIX V5.1 and higher

